import request from '@/utils/http'

/**
 * 获取权限列表（分页）
 * @param params 查询参数
 */
export function fetchGetPermissions(params?: Api.Permission.PermissionQueryParams) {
  return request.get<Api.Permission.PermissionPageResult>({
    url: '/api/admin/v1/permissions',
    params
  })
}

/**
 * 获取权限树
 */
export function fetchGetPermissionTree() {
  return request.get<Api.Permission.PermissionDto[]>({
    url: '/api/admin/v1/permissions/tree'
  })
}
